import sys

sys.path.append("..")
import jdepp

parser = jdepp.Jdepp()

model_path = "../model/knbc/"
parser.load_model(model_path)

# each input string must end with 'EOS\n'
inputs = []
inputs.append("""吾輩	名詞,普通名詞,*,*,吾輩,わがはい,代表表記:我が輩/わがはい カテゴリ:人
は	助詞,副助詞,*,*,は,は,*
猫	名詞,普通名詞,*,*,猫,ねこ,*
である	判定詞,*,判定詞,デアル列基本形,だ,である,*
。	特殊,句点,*,*,。,。,*
名前	名詞,普通名詞,*,*,名前,なまえ,*
は	助詞,副助詞,*,*,は,は,*
まだ	副詞,*,*,*,まだ,まだ,*
ない	形容詞,*,イ形容詞アウオ段,基本形,ない,ない,*
。	特殊,句点,*,*,。,。,*
EOS
""")

inputs.append("""頭	名詞,普通名詞,*,*,頭,あたま,*
が	助詞,格助詞,*,*,が,が,*
赤い	形容詞,*,イ形容詞アウオ段,基本形,赤い,あかい,*
魚	名詞,普通名詞,*,*,魚,ぎょ,*
を	助詞,格助詞,*,*,を,を,*
食べる	動詞,*,母音動詞,基本形,食べる,たべる,*
猫	名詞,普通名詞,*,*,猫,ねこ,*
EOS
""")

inputs.append("""
なお	副詞,*,*,*,なお,なお,*
、	特殊,読点,*,*,、,、,*
インタビュー	名詞,サ変名詞,*,*,インタビュー,いんたびゅー,*
に	助詞,格助詞,*,*,に,に,*
おいて	動詞,*,子音動詞カ行,タ系連用テ形,おく,おいて,*
かつて	副詞,*,*,*,かつて,かつて,*
住んだ	動詞,*,子音動詞マ行,タ形,住む,すんだ,代表表記:住む/すむ ドメイン:家庭・暮らし
こと	名詞,形式名詞,*,*,こと,こと,*
の	助詞,格助詞,*,*,の,の,*
ある	動詞,*,子音動詞ラ行,基本形,ある,ある,*
国	名詞,普通名詞,*,*,国,こく,*
で	助詞,格助詞,*,*,で,で,*
最も	副詞,*,*,*,最も,もっとも,*
好きだった	形容詞,*,ナ形容詞,ダ列タ形,好きだ,すきだった,代表表記:好きだ/すきだ 反義:形容詞:嫌いだ/きらいだ 動詞派生:好く/すく
の	名詞,形式名詞,*,*,の,の,*
は	助詞,副助詞,*,*,は,は,*
「	特殊,括弧始,*,*,「,「,*
東京	名詞,地名,*,*,東京,とうきょう,*
」	特殊,括弧終,*,*,」,」,*
と	助詞,格助詞,*,*,と,と,*
答えて	動詞,*,母音動詞,タ系連用テ形,答える,こたえて,*
おり	接尾辞,動詞性接尾辞,子音動詞ラ行,基本連用形,おる,おり,*
、	特殊,読点,*,*,、,、,*
日本	名詞,地名,*,*,日本,にほん,*
限定	名詞,サ変名詞,*,*,限定,げんてい,*
で	助詞,格助詞,*,*,で,で,*
発売	名詞,サ変名詞,*,*,発売,はつばい,*
さ	動詞,*,サ変動詞,未然形,する,さ,*
れて	接尾辞,動詞性接尾辞,母音動詞,タ系連用テ形,れる,れて,*
いた	接尾辞,動詞性接尾辞,母音動詞,タ形,いる,いた,*
バスキン・ビンス	名詞,普通名詞,*,*,ロビンス,ロビンス,自動獲得:Wikipedia Wikipedia多義
の	助詞,接続助詞,*,*,の,の,*
「	特殊,括弧始,*,*,「,「,*
抹茶	名詞,普通名詞,*,*,抹茶,まっちゃ,*
アイスクリーム	名詞,普通名詞,*,*,アイスクリーム,あいすくりーむ,*
」	特殊,括弧終,*,*,」,」,*
が	助詞,格助詞,*,*,が,が,*
大	接頭辞,名詞接頭辞,*,*,大,だい,*
好物	名詞,普通名詞,*,*,好物,こうぶつ,*
だった	判定詞,*,判定詞,ダ列タ形,だ,だった,*
と	助詞,格助詞,*,*,と,と,*
語って	動詞,*,子音動詞ラ行,タ系連用テ形,語る,かたって,*
いる	接尾辞,動詞性接尾辞,母音動詞,基本形,いる,いる,*
。	特殊,句点,*,*,。,。,*
EOS
""")


sents = parser.parse_from_postagged_batch(inputs)
print(sents)
